package com.caimei365.commodity.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/11/25
 */
@Data
public class BaikeProductVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer productId;

    /**
     * 商品类型：1产品，2仪器
     */
    private Integer commodityType;

    /**
     * 产品/仪器图片
     */
    private String image;

    /**
     * 产品/仪器名称
     */
    private String name;

    /**
     * 概述
     */
    private String discription;

    /**
     * 发布时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date publishTime;

    /**
     * 浏览量
     */
    private Integer pv;

    /**
     * 问题列表
     */
    private List<String> questionList;

    /**
     * 跳转链接
     */
    private String link;
}
